<?php
// $Id: theme-settings.php,v 1.1.2.4 2010/09/11 01:24:58 mtecknology Exp $

/**
 * @file
 * Additional theme settings the user can alter
 */

function phptemplate_settings($saved_settings) {

  // Set default variables
  $defaults = array(
    'wrapper_width' => 980,
    'width_type' => 0,
    'display_help' => 0,
    'ubuntu_footer' => 1,
    'udtheme_style' => 'classic-brown',
    'udtheme_trademark' => 0,
  );

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  // Create the form widgets using Forms API
  $form['page'] = array(
    '#type' => 'fieldset',
    '#title' => t('Page Options'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#tree' => FALSE,
  );
  $form['page']['wrapper_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Page Width (default=980px)'),
    '#default_value' => $settings['wrapper_width'],
  );
  $form['page']['width_type'] = array(
    '#type' => 'radios',
    '#title' => t('Width Type'),
    '#options' => array(
      '0' => t('px'),
      '1' => t('%'),
    ),
    '#description' => t('Type of width to be used.'),
    '#default_value' => $settings['width_type'],
  );
  $form['page']['display_help'] = array(
    '#type' => 'radios',
    '#title' => t('Display Help'),
    '#options' => array(
      '1' => t('Yes'),
      '0' => t('No'),
    ),
    '#description' => t('Display help above the content or not.'),
    '#default_value' => $settings['display_help'],
  );
  $form['page']['ubuntu_footer'] = array(
    '#type' => 'radios',
    '#title' => t('Ubuntu Community Footer'),
    '#options' => array(
      '1' => t('Display'),
      '0' => t('Hide'),
    ),
    '#description' => t('Display the Ubuntu Community Footer, which includes blocks for the legal disclaimer and other Ubuntu community websites.'),
    '#default_value' => $settings['ubuntu_footer'],
  );

  $form['style'] = array(
    '#type' => 'fieldset',
    '#title' => t('Style Options'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#tree' => FALSE,
  );
  $form['style']['udtheme_style'] = array(
    '#type' => 'radios',
    '#title' => t('Ubuntu Drupal Style'),
    '#options' => array(
      'classic-brown' => t('Classic Brown'),
      'ubuntu-2010' => t('Official Ubuntu'),
      'kimis-pink' => t('Kimi\'s Pink'),
      'majan-blue' => t('Majan\'s Blue'),
    ),
    '#description' => t('Select which color pallet to apply to the theme. Under the trademark policy (http://bit.ly/Hk4DA) only Ubuntu related projects may use the "Official Ubuntu" style. The rest is open to anyone.'),
    '#default_value' => $settings['udtheme_style'],
  );
  $form['style']['udtheme_trademark'] = array(
    '#type' => 'radios',
    '#title' => t('Ubuntu Community Styles'),
    '#options' => array(
      '0' => t('Disabled'),
      '1' => t('Enabled'),
    ),
    '#description' => t('This will override the above style sheet. It is for use by Ubuntu related projects only. It uses external images which are trademarked. (http://bit.ly/Hk4DA)'),
    '#default_value' => $settings['udtheme_trademark'],
  );

  // Return the additional form widgets
  return $form;
}
